<?php

if(!defined('FORUMSPAMSTOPPER')) {
 //Enable ForumSpamStopper (true, false)
	define('FORUMSPAMSTOPPER', true);
 
 //Define Minimum number of posts before user's are allowed to post links (integer)
	define('FORUMSPAMSTOPPER_MIN_POSTS', 10);
	
	//Define the email which should be notified of possible spammers
	define('FORUMSPAMSTOPPER_EMAIL', 'info@forumspamstopper.com');

	//Define the email which that should appear as sender
	define('FORUMSPAMSTOPPER_FROM_EMAIL', 'info@forumspamstopper.com');
	
	//Define the subject of the email
	define('FORUMSPAMSTOPPER_SUBJECT', 'ForumSpamStopper detected possible spam attack!');
	
	//Define errormessage the user will see, when trying to post links while not
	//having reached the min. amount of posts
	define('FORUMSPAMSTOPPER_ERRORMESSAGE', 'Sorry - for spam-protection you may not post links until you have reached a minimum of '.FORUMSPAMSTOPPER_MIN_POSTS.' posts!');
	
	//Auto-delete after x Warnings - 0 to disable
	define('FORUMSPAMSTOPPER_AUTODELETE', 5);

	//Auto-delete if user posts a certain keyword (will be executed BEFORE other functions)
	define('FORUMSPAMSTOPPER_AUTODELETE_KEYWORDS', '');
	
	//Only auto-delete if user posts are less then x posts
	define('FORUMSPAMSTOPPER_AUTODELETE_KEYWORDS_MAX_POSTS', 15);
	
	//Auto-delete reason for forbidden keywords
	define('FORUMSPAMSTOPPER_AUTODELETE_KEYWORDS_REASON', 'Autolöschung, durch ForumSpamStopper.com nachdem der Nutzer ein verbotenes Keyword verwendet hat!');

	//Auto-delete reason visible to admins
	define('FORUMSPAMSTOPPER_AUTODELETE_REASON', 'Deleted by ForumSpamStopper.com after ignoring '.FORUMSPAMSTOPPER_AUTODELETE.' warnings!');

	//Auto-delete keep posts true / false
	define('FORUMSPAMSTOPPER_AUTODELETE_KEEP_POSTS', true);
	
	//Auto-ban by email after x Warnings - 0 to disable
	//When enabled, autodelete does not work
	define('FORUMSPAMSTOPPER_AUTOBAN', 10);
	
	//Auto-ban reason visible to admins
	define('FORUMSPAMSTOPPER_AUTOBAN_REASON', 'Banned by ForumSpamStopper.com after ignoring '.FORUMSPAMSTOPPER_AUTOBAN.' warnings!');
	
	//Auto-ban reason visible to users
	define('FORUMSPAMSTOPPER_AUTOBAN_REASON_USER', 'Banned by ForumSpamStopper.com after ignoring '.FORUMSPAMSTOPPER_AUTOBAN.' warnings!');

	//Force Approval for each post that includes Links after x Warnings
	define('FORUMSPAMSTOPPER_FORCE_LINK_APPROVAL', 3);

	//Force Approval for each post x Warnings
	define('FORUMSPAMSTOPPER_FORCE_APPROVAL', 5);

	//Define Warning-Message
	define('FORUMSPAMSTOPPER_WARNING_MESSAGE', 'For spam-protection you may not post links until you have reached a minimum of '.FORUMSPAMSTOPPER_MIN_POSTS.' posts!');
	}
 
?>