<?php

function imap8bit(&$item, $key) { 
 $item = imap_8bit($item);
 } 

function mail_utf8($e_mail, $subject, $message, $headers = '') { 
 //add headers for utf-8 message
 $headers .= "\r\n";
 $headers .= "MIME-Version: 1.0\r\n";
 $headers .= "Content-type: text/html; charset=utf-8\r\n";
 //$headers .= "Content-Transfer-Encoding: quoted-printable"; 
 
 // encode subject 
 //=?UTF-8?Q?encoded_text?= 

 // workaround: for subject with wordwrap 
 // not fixed, no possibility to have one in a single char 
 $subject = wordwrap($subject, 25, "\n", FALSE); 
 $subject = explode("\n", $subject); 
 array_walk($subject, imap8bit); 
 $subject = implode("\r\n ", $subject); 
 $subject = "=?UTF-8?Q?".$subject."?="; 

 return(mail($e_mail, $subject, $message, $headers)); 
 }

function forumspamstopper_stripWs($msg) {
 //Strip WhiteSpaces
 $msg = str_replace(" ", "", $msg);
 $msg = str_replace("\n", "", $msg);
 $msg = str_replace("\r", "", $msg);
 $msg = str_replace("\t", "", $msg);
 
 return $msg;
 }

function forumspamstopper_force_approval($user_object, $message, $approval) {
 //Check number of warnings and force approval after x warnings
 if(FORUMSPAMSTOPPER == true) {
  if((FORUMSPAMSTOPPER_FORCE_LINK_APPROVAL > 0)
     AND ($user_object->data['user_warnings'] >= FORUMSPAMSTOPPER_FORCE_LINK_APPROVAL)
     AND ((strpos($message, 'http://') !== FALSE)
          OR (strpos($message, 'https://') !== FALSE)
          OR (strpos($message, 'www') !== FALSE)
          OR (strpos($message, '[url') !== FALSE)
          OR (strpos($message, 'ftp://') !== FALSE))) {
   //Looks like we found a link here!
   
   $body  = '<!DOCTYPE html>';
   $body .= '<html>';
   $body .= ' <head>';
   $body .= '  <meta http-equiv="Content-type" content="text/html;charset=UTF-8"/>';
   $body .= ' </head>';
   $body .= ' <body>';
   $body .= 'Hello Forum Admin,<br/>';
   $body .= '<p>ForumSpamStopper has set a post to "unnaproved" because the users warning limit exeeded ('.$user_object->data['user_warnings'].' warnings):</p>';
   $body .= 'User: '.htmlspecialchars($user_object->data['username']).'<br/>';
   $body .= 'Date: '.date('Y-m-d h:i:s').'<br/>';
   $body .= 'Email: '.htmlspecialchars($user_object->data['user_email']).'<br/><br/>';
   $body .= 'Actions: <br/>';
   $body .= '<a href="'.generate_board_url().'/mcp.php?i=queue&mode=unapproved_posts">Unnaproved Posts</a> | <a href="'.generate_board_url().'/mcp.php?i=queue&mode=unapproved_topics">Unnaproved Topics</a>';
   $body .= '<br/><br/>';
   $body .= 'Message:<br/>';
   $body .= "--------------------------------<br/>";
   $body .= $message;
   $body .= "<br/>--------------------------------<br/><br/>";
   $body .= 'Questions or Ideas? Contact us under <a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>.<br/><br/>';
   $body .= ' </body>';
   $body .= '</html>';
   
   mail_utf8(FORUMSPAMSTOPPER_EMAIL,
             FORUMSPAMSTOPPER_SUBJECT,
             $body,
             "From: ".strip_tags(FORUMSPAMSTOPPER_FROM_EMAIL));
 
   //Approved State = false!
   return false;
   }
  
  if((FORUMSPAMSTOPPER_FORCE_APPROVAL > 0)
     AND ($user_object->data['user_warnings'] >= FORUMSPAMSTOPPER_FORCE_APPROVAL)) {
     
     $body  = '<!DOCTYPE html>';
     $body .= '<html>';
     $body .= ' <head>';
     $body .= '  <meta http-equiv="Content-type" content="text/html;charset=UTF-8"/>';
     $body .= ' </head>';
     $body .= ' <body>';
     $body .= 'Hello Forum Admin,<br/>';
     $body .= '<p>ForumSpamStopper has set a post to "unnaproved" because the users warning limit exeeded ('.$user_object->data['user_warnings'].' warnings):</p>';
     $body .= 'User: '.htmlspecialchars($user_object->data['username']).'<br/>';
     $body .= 'Date: '.date('Y-m-d h:i:s').'<br/>';
     $body .= 'Email: '.htmlspecialchars($user_object->data['user_email']).'<br/><br/>';
     $body .= 'Actions: <br/>';
     $body .= '<a href="'.generate_board_url().'/mcp.php?i=queue&mode=unapproved_posts">Unnaproved Posts</a> | <a href="'.generate_board_url().'/mcp.php?i=queue&mode=unapproved_topics">Unnaproved Topics</a>';
     $body .= '<br/><br/>';
     $body .= 'Message:<br/>';
     $body .= "--------------------------------<br/>";
     $body .= $message;
     $body .= "<br/>--------------------------------<br/><br/>";
     $body .= 'Questions or Ideas? Contact us under <a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>.<br/><br/>';
     $body .= ' </body>';
     $body .= '</html>';
     
     mail_utf8(FORUMSPAMSTOPPER_EMAIL,
               FORUMSPAMSTOPPER_SUBJECT,
               $body,
               "From: ".strip_tags(FORUMSPAMSTOPPER_FROM_EMAIL));
 
   //Approved State = false!
   return false;
   }
  }
 
 return $approval;
 }

function forumspamstopper($user_object, $message) {
 
 if(FORUMSPAMSTOPPER == true) {
  $message_unmodified = $message;
  
  $message = forumspamstopper_stripWs($message);
  
 	if((strlen(FORUMSPAMSTOPPER_AUTODELETE_KEYWORDS) > 0)
     AND ($user_object->data['user_posts'] < FORUMSPAMSTOPPER_AUTODELETE_KEYWORDS_MAX_POSTS)) {
   //Only auto-delete if user posts are less then x posts, to prevent long contributing members not to be deleted
   $autodelete_keyword_list = explode(', ', FORUMSPAMSTOPPER_AUTODELETE_KEYWORDS);
   
   //!!!XXX!!! Einbauen, dass Keywords am Komma getrennt werden und danach getrimmt werden (dann geht mit und ohne Leerzeichen)
   
   foreach($autodelete_keyword_list AS $this_keyword) {
    if(strpos($message, $this_keyword) !== FALSE) {
     //Looks like we found a spam keyword here
     $body  = '<!DOCTYPE html>';
     $body .= '<html>';
     $body .= ' <head>';
     $body .= '  <meta http-equiv="Content-type" content="text/html;charset=UTF-8"/>';
     $body .= ' </head>';
     $body .= ' <body>';
     $body .= 'Hello Forum Admin,<br/>';
     $body .= '<p>ForumSpamStopper has deleted a user, because he used this keyword: "'.$this_keyword.'":</p>';
     $body .= 'User: '.htmlspecialchars($user_object->data['username']).'<br/>';
     $body .= 'Date: '.date('Y-m-d h:i:s').'<br/>';
     $body .= 'Email: '.htmlspecialchars($user_object->data['user_email']).'<br/><br/>';
     $body .= '<br/><br/>';
     $body .= 'Message:<br/>';
     $body .= "--------------------------------<br/>";
     $body .= $message;
     $body .= "<br/>--------------------------------<br/><br/>";
     $body .= 'Questions or Ideas? Contact us under <a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>.<br/><br/>';
     $body .= ' </body>';
     $body .= '</html>';
     
     mail_utf8(FORUMSPAMSTOPPER_EMAIL,
               FORUMSPAMSTOPPER_SUBJECT,
               $body,
               "From: ".strip_tags(FORUMSPAMSTOPPER_FROM_EMAIL));
     
     if(FORUMSPAMSTOPPER_AUTODELETE_KEEP_POSTS == false) {
 	    //Delete with posts 
 	    user_delete('remove', $user_object->data['user_id']); 
      } else {
 	    //Delete, but keep posts
 	    user_delete('retain', $user_object->data['user_id']);
      }
     
     //Logout user
     $user_object->session_kill();
     $user_object->session_begin();
     
     trigger_error(FORUMSPAMSTOPPER_AUTODELETE_KEYWORDS_REASON.' (<a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>)');
     
     return 'deleted';
     }
    }
   }
 
  if(!$user_object->data['is_registered'] OR ($user_object->data['user_posts'] < FORUMSPAMSTOPPER_MIN_POSTS)) {
   //If User is not registered or if below min posts
   if((strpos($message, 'http://') !== FALSE)
      OR (strpos($message, 'https://') !== FALSE)
      OR (strpos($message, 'www') !== FALSE)
      OR (strpos($message, '[url') !== FALSE)
      OR (strpos($message, 'ftp://') !== FALSE)) {
    //Looks like we found a link here!
    
    $link_profile = generate_board_url()."/memberlist.php?mode=viewprofile&u=".$user_object->data['user_id'];
    $link_admin = generate_board_url()."/adm/index.php?i=users&mode=overview&u=".$user_object->data['user_id'];
    $link_posts = generate_board_url()."/search.php?author_id=".$user_object->data['user_id'];

    global $db;
    
    //Count up warnings
	   $sql = 'UPDATE ' . USERS_TABLE . '
		          SET user_warnings = user_warnings + 1,
		         	user_last_warning = '.time().'
	          	WHERE user_id = '.$user_object->data['user_id'];
	   $db->sql_query($sql);
    $user_object->data['user_warnings']++;

   	if(FORUMSPAMSTOPPER_AUTOBAN > 0) {
     //Autolock is turned on, check for total Warnings
     if($user_object->data['user_warnings'] >= FORUMSPAMSTOPPER_AUTOBAN) {
      //Ban user by Email
      $body  = '<!DOCTYPE html>';
      $body .= '<html>';
      $body .= ' <head>';
      $body .= '  <meta http-equiv="Content-type" content="text/html;charset=UTF-8"/>';
      $body .= ' </head>';
      $body .= ' <body>';
      $body .= 'Hello Forum Admin,<br/>';
      $body .= '<p>ForumSpamStopper has banned a user by email after '.$user_object->data['user_warnings'].' warnings:</p>';
      $body .= 'User: '.htmlspecialchars($user_object->data['username']).'<br/>';
      $body .= 'Date: '.date('Y-m-d h:i:s').'<br/>';
      $body .= 'Email: '.htmlspecialchars($user_object->data['user_email']).'<br/><br/>';
      $body .= 'Actions: <br/>';
      $body .= '<a href="'.$link_profile.'">Profile</a> | <a href="'.$link_admin.'">Admin</a> | <a href="'.$link_posts.'">Posts ('.$user_object->data['user_posts'].')</a>';
      $body .= '<br/><br/>';
      $body .= "<br/>--------------------------------<br/><br/>";
      $body .= 'Questions or Ideas? Contact us under <a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>.<br/><br/>';
      $body .= ' </body>';
      $body .= '</html>';
      
      mail_utf8(FORUMSPAMSTOPPER_EMAIL,
                FORUMSPAMSTOPPER_SUBJECT,
                $body,
                "From: ".strip_tags(FORUMSPAMSTOPPER_FROM_EMAIL));
      
      user_ban('email', $user_object->data['username'], 0, '', 0, FORUMSPAMSTOPPER_AUTOBAN_REASON, FORUMSPAMSTOPPER_AUTOBAN_REASON_USER);
      
      //Logout user
      $user_object->session_kill();
      $user_object->session_begin();
      
      trigger_error(FORUMSPAMSTOPPER_AUTOBAN_REASON_USER.' (<a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>)');
      
      return 'banned';
      }
     } elseif(FORUMSPAMSTOPPER_AUTODELETE > 0) {
     //Autodelete is turned on, check for total Warnings
     if($user_object->data['user_warnings'] >= FORUMSPAMSTOPPER_AUTODELETE) {
      //Delete User and inform admin via Email
      
      $body  = '<!DOCTYPE html>';
      $body .= '<html>';
      $body .= ' <head>';
      $body .= '  <meta http-equiv="Content-type" content="text/html;charset=UTF-8"/>';
      $body .= ' </head>';
      $body .= ' <body>';
      $body .= 'Hello Forum Admin,<br/>';
      $body .= '<p>ForumSpamStopper has deleted a user after '.$user_object->data['user_warnings'].' warnings:</p>';
      $body .= 'User: '.htmlspecialchars($user_object->data['username']).'<br/>';
      $body .= 'Date: '.date('Y-m-d h:i:s').'<br/>';
      $body .= 'Email: '.htmlspecialchars($user_object->data['user_email']).'<br/><br/>';
      $body .= "<br/>--------------------------------<br/><br/>";
      $body .= 'Questions or Ideas? Contact us under <a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>.<br/><br/>';
      $body .= ' </body>';
      $body .= '</html>';
      
      mail_utf8(FORUMSPAMSTOPPER_EMAIL,
                FORUMSPAMSTOPPER_SUBJECT,
                $body,
                "From: ".strip_tags(FORUMSPAMSTOPPER_FROM_EMAIL));
      
      if(FORUMSPAMSTOPPER_AUTODELETE_KEEP_POSTS == false) {
  	    //Delete with posts 
  	    user_delete('remove', $user_object->data['user_id']); 
       } else {
  	    //Delete, but keep posts
  	    user_delete('retain', $user_object->data['user_id']);
       }
      
      //Logout user
      $user_object->session_kill();
      $user_object->session_begin();
      
      trigger_error(FORUMSPAMSTOPPER_AUTODELETE_REASON.' (<a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>)');
      
      return 'deleted';
      }
     }

    //Add to logs
   	$log_id = add_log('user', $user_object->data['user_id'], 'LOG_USER_WARNING_BODY', FORUMSPAMSTOPPER_WARNING_MESSAGE);
    add_log('admin', LOG_USER_WARNING, $user_row['username']);
   	add_log('mod', '', '', LOG_USER_WARNING, $user_object->data['username']);
   	
    //Add warning
	   $sql_ary = array('user_id'		=> $user_object->data['user_id'],
                   		'post_id'		=> 0,
                   		'log_id'		=> $log_id,
                   		'warning_time'	=> time());
	   $db->sql_query('INSERT INTO ' . WARNINGS_TABLE . ' ' . $db->sql_build_array('INSERT', $sql_ary));
     
    $body  = '<!DOCTYPE html>';
    $body .= '<html>';
    $body .= ' <head>';
    $body .= '  <meta http-equiv="Content-type" content="text/html;charset=UTF-8"/>';
    $body .= ' </head>';
    $body .= ' <body>';
    $body .= 'Hello Forum Admin,<br/>';
    $body .= '<p>ForumSpamStopper has detected a user who tried to post a link but has not yet reached the minimum number of '.FORUMSPAMSTOPPER_MIN_POSTS.' posts ('.$user_object->data['user_warnings'].' warnings):</p>';
    $body .= 'User: '.htmlspecialchars($user_object->data['username']).'<br/>';
    $body .= 'Date: '.date('Y-m-d h:i:s').'<br/>';
    $body .= 'Email: '.htmlspecialchars($user_object->data['user_email']).'<br/><br/>';
    $body .= 'Actions: <br/>';
    $body .= '<a href="'.$link_profile.'">Profile</a> | <a href="'.$link_admin.'">Admin</a> | <a href="'.$link_posts.'">Posts ('.$user_object->data['user_posts'].')</a>';
    $body .= '<br/><br/>';
    $body .= 'Message:<br/>';
    $body .= "--------------------------------<br/>";
    $body .= $message_unmodified;
    $body .= "<br/>--------------------------------<br/><br/>";
    $body .= 'Questions or Ideas? Contact us under <a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>.<br/><br/>';
    $body .= ' </body>';
    $body .= '</html>';
    
    mail_utf8(FORUMSPAMSTOPPER_EMAIL,
              FORUMSPAMSTOPPER_SUBJECT,
              $body,
              "From: ".strip_tags(FORUMSPAMSTOPPER_FROM_EMAIL));
    
    
    trigger_error(FORUMSPAMSTOPPER_ERRORMESSAGE.' (<a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>)');
    
    return 'warned';
    }
   }  

 	if(FORUMSPAMSTOPPER_AUTOBAN > 0) {
   //Autolock is turned on, check for total Warnings
   if($user_object->data['user_warnings'] >= FORUMSPAMSTOPPER_AUTOBAN) {
    //Ban user by Email
    $body  = '<!DOCTYPE html>';
    $body .= '<html>';
    $body .= ' <head>';
    $body .= '  <meta http-equiv="Content-type" content="text/html;charset=UTF-8"/>';
    $body .= ' </head>';
    $body .= ' <body>';
    $body .= 'Hello Forum Admin,<br/>';
    $body .= '<p>ForumSpamStopper has banned a user by email after '.$user_object->data['user_warnings'].' warnings:</p>';
    $body .= 'User: '.htmlspecialchars($user_object->data['username']).'<br/>';
    $body .= 'Date: '.date('Y-m-d h:i:s').'<br/>';
    $body .= 'Email: '.htmlspecialchars($user_object->data['user_email']).'<br/><br/>';
    $body .= 'Actions: <br/>';
    $body .= '<a href="'.$link_profile.'">Profile</a> | <a href="'.$link_admin.'">Admin</a> | <a href="'.$link_posts.'">Posts ('.$user_object->data['user_posts'].')</a>';
    $body .= '<br/><br/>';
    $body .= "<br/>--------------------------------<br/><br/>";
    $body .= 'Questions or Ideas? Contact us under <a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>.<br/><br/>';
    $body .= ' </body>';
    $body .= '</html>';
    
    mail_utf8(FORUMSPAMSTOPPER_EMAIL,
              FORUMSPAMSTOPPER_SUBJECT,
              $body,
              "From: ".strip_tags(FORUMSPAMSTOPPER_FROM_EMAIL));
    
    user_ban('email', $user_object->data['username'], 0, '', 0, FORUMSPAMSTOPPER_AUTOBAN_REASON, FORUMSPAMSTOPPER_AUTOBAN_REASON_USER);
    
    //Logout user
    $user_object->session_kill();
    $user_object->session_begin();
    
    trigger_error(FORUMSPAMSTOPPER_AUTOBAN_REASON_USER.' (<a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>)');
    
    return 'banned';
    }
   } elseif(FORUMSPAMSTOPPER_AUTODELETE > 0) {
   //Autodelete is turned on, check for total Warnings
   if($user_object->data['user_warnings'] >= FORUMSPAMSTOPPER_AUTODELETE) {
    //Delete User and inform admin via Email
    
    $body  = '<!DOCTYPE html>';
    $body .= '<html>';
    $body .= ' <head>';
    $body .= '  <meta http-equiv="Content-type" content="text/html;charset=UTF-8"/>';
    $body .= ' </head>';
    $body .= ' <body>';
    $body .= 'Hello Forum Admin,<br/>';
    $body .= '<p>ForumSpamStopper has deleted a user after '.$user_object->data['user_warnings'].' warnings:</p>';
    $body .= 'User: '.htmlspecialchars($user_object->data['username']).'<br/>';
    $body .= 'Date: '.date('Y-m-d h:i:s').'<br/>';
    $body .= 'Email: '.htmlspecialchars($user_object->data['user_email']).'<br/><br/>';
    $body .= "<br/>--------------------------------<br/><br/>";
    $body .= 'Questions or Ideas? Contact us under <a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>.<br/><br/>';
    $body .= ' </body>';
    $body .= '</html>';
    
    mail_utf8(FORUMSPAMSTOPPER_EMAIL,
              FORUMSPAMSTOPPER_SUBJECT,
              $body,
              "From: ".strip_tags(FORUMSPAMSTOPPER_FROM_EMAIL));
    
    if(FORUMSPAMSTOPPER_AUTODELETE_KEEP_POSTS == false) {
	    //Delete with posts 
	    user_delete('remove', $user_object->data['user_id']); 
     } else {
	    //Delete, but keep posts
	    user_delete('retain', $user_object->data['user_id']);
     }
    
    //Logout user
    $user_object->session_kill();
    $user_object->session_begin();
    
    trigger_error(FORUMSPAMSTOPPER_AUTODELETE_REASON.' (<a href="http://www.forumspamstopper.com/">http://www.forumspamstopper.com/</a>)');
    
    return 'deleted';
    }
   }

  } else {
  return 'disabled';
  }
 }

?>